/**  版本信息模板在安装目录下，可自行修改。
* base_stock.cs
*
* 功 能： N/A
* 类 名： base_stock
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024-07-22 11:33:39   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Jpsoft.Model
{
	/// <summary>
	/// base_stock:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Stock
	{
		public Stock()
		{}
		#region Model
		private string _id_;
		private string _work_id;
		private string _machine_name;
		private int? _stock_number;
		private decimal? _length_;
		private decimal? _tag_length;
		private string _flaw_;
		private int? _status_;
		private bool _del_flag;
		private string _create_by;
		private DateTime? _create_time;
		private string _update_by;
		private DateTime? _update_time;
		/// <summary>
		/// 
		/// </summary>
		public string id_
		{
			set{ _id_=value;}
			get{return _id_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string work_id
		{
			set{ _work_id=value;}
			get{return _work_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string machine_name
		{
			set{ _machine_name=value;}
			get{return _machine_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? stock_number
		{
			set{ _stock_number=value;}
			get{return _stock_number;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? length_
		{
			set{ _length_=value;}
			get{return _length_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? tag_length
		{
			set{ _tag_length=value;}
			get{return _tag_length;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string flaw_
		{
			set{ _flaw_=value;}
			get{return _flaw_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? status_
		{
			set{ _status_=value;}
			get{return _status_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool del_flag
		{
			set{ _del_flag=value;}
			get{return _del_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string create_by
		{
			set{ _create_by=value;}
			get{return _create_by;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? create_time
		{
			set{ _create_time=value;}
			get{return _create_time;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string update_by
		{
			set{ _update_by=value;}
			get{return _update_by;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? update_time
		{
			set{ _update_time=value;}
			get{return _update_time;}
		}
		#endregion Model

	}
}

